/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package constants;

/**
 *
 * @author sameldin
 */
import utils.*;

public class Constants
{
    public static final int         SUCCESS 					= 0;
    public static final int         FAILED 					= -1;
    //-----------------------------------------------------------------------
    public final static int         NORMAL_RUN                                  = 0;
    public final static int         ERROR_RUN                                   = -1;
    public final static int         NO_VALUE                                    = -1;
    //-----------------------------------------------------------------------
    public final static String      COMMA_DELIMITER                             = ",";
    //-----------------------------------------------------------------------
    public static final String      JDBC_CONNECTION_LABEL                       = "jdbc:odbc:";
    public static final String      DEFAULT_DATABASE_NAME_LABEL                 = "defaultDatabaseName";
    public final static int         IBM_DB_INDEX                                = 1;
    public final static int         ORARCLE_DB_INDEX                            = 2;
    public final static int         MS_DB_INDEX                                 = 3;
    //-----------------------------------------------------------------------
    public static final String      CONTEXT_ROOT				= "/xx";
    public static final String      JSP_PATH					= "/xx/jsp/";
    public static final String      HTML_PATH					= CONTEXT_ROOT + "/xx/html/";
    public static final String      IMG_PATH					= CONTEXT_ROOT + "/xx/images/";
    public static final String      CSS_PATH					= CONTEXT_ROOT + "/xx/css/";
    public static final String      JS_PATH					= CONTEXT_ROOT + "/xx/js/";
    public static final String      PROXY_PATH					= CONTEXT_ROOT + "/servlet/xx/";
    //-----------------------------------------------------------------------
    //-----------------------------------------------------------------------
    public static final String      YES 					= "Y";
    public static final String      NO  					= "N";
    public static final String      NA_STRING					= "N.A.";
    public static final String      NONE_STRING					= "None";
    public static final String      MESSAGE_DATE_SEPARATOR_STRING               = ":ON:";
    public static final String      UNDEFINED_STRING                            = "undefined";
    public static final String      NO_SELECTION_STRING                         = ">>>>>";
    public static final String      DASHED_LINE_STRING                          = "---";
    public static final String      SQL_CONN_DB_NAME                            = "SQLConn.DBName";
    public static final String      SQL_CONN_USER_NAME                          = "SQLConn.UserName";
    public static final String      SQL_CONN_PASSWORD                           = "SQLConn.Password";
    // Messages	to the end user
    public static final String      MSG_ERROR_NO_SUCH_FILE                      = "Msg.Error.NoSuchFile";
    public static final String      MSG_ERROR_NO_DB_CONNECTION                  = "Msg.Error.NoDBConnection";
    //-----------------------------------------------------------------------
    public final static String      EMPLOYEE_NUMBER_STRING                      = "EmployeeNumber";
    public final static String      EMPLOYEE_FIRST_NAME_STRING                  = "EmployeeFirstName";
    public final static String      EMPLOYEE_LAST_NAME_STRING                   = "EmployeeLastName";
    public final static String      EMPLOYEE_COMPANY_NAME_STRING                = "EmployeeCompanyName";
    public final static String      EMPLOYEE_EMAIL_ADDRESS_STRING               = "EmployeemailAddress";
    public final static String      EMPLOYEE_ADDRESS_STRING                     = "EmployeeAddress";
    public final static String      EMPLOYEE_CITY_NAME_STRING                   = "EmployeeCityName";
    public final static String      EMPLOYEE_STATE_NAME_STRING                  = "EmployeeStateName";
    public final static String      EMPLOYEE_ZIP_CODE_STRING                    = "EmployeeZipCode";
    public final static String      EMPLOYEE_PHONE_NUMBER_STRING                = "EmployeePhoneNumber";
    public final static String      EMPLOYEE_MOBILE_NUMBER_STRING               = "EmployeeMobileNumber";
    public final static String      EMPLOYEE_FAX_NUMBER_STRING                  = "EmployeeFaxNumber";
    public final static String      EMPLOYEE_NOTES_STRING                       = "EmployeeNotesString";
    //-----------------------------------------------------------------------
    public final static String      PROJECT_NUMBER_STRING                       = "ProjectNumber";
    public final static String      PROJECT_NAME_STRING                         = "ProjecttName";
    //-----------------------------------------------------------------------
    // example of using proerty values in constants
    //-----------------------------------------------------------------------
    public final static String      PROPERT_X_NAME_STRING   = DatabaseKeysPropertyManager.getParameter("BCBSA_DB_NAME");
    //-----------------------------------------------------------------------
    // User Type: constants names and index
    //-----------------------------------------------------------------------
    public final static String      ADMIN_USER_TYPE_STRING                      = "AdminUserType";
    public final static int         ADMIN_USER_TYPE_INDEX                       = 101;
    public final static String      EMPLOYEE_USER_TYPE_STRING                   = "EmployeeUserType";
    public final static int         EMPLOYEE_USER_TYPE_INDEX                    = 102;
    public final static String      CONTINGENT_STAFF_USER_TYPE_STRING           = "ConsultantUserType";
    public final static int         CONTINGENT_STAFF_USER_TYPE_INDEX            = 103;
    public final static String      OUTSIDE_VENDOR_USER_TYPE_STRING             = "OutsideVendorUserType";
    public final static int         OUTSIDE_VENDOR_USER_TYPE_INDEX              = 104;
    public final static String      MANAGER_USER_TYPE_STRING                    = "ManagerUserType";
    public final static int         MANAGER_USER_TYPE_INDEX                     = 105;
    public final static String      CEO_USER_TYPE_STRING                        = "CEO_UserType";
    public final static int         CEO_USER_TYPE_INDEX                         = 106;
    //-----------------------------------------------------------------------
    // Report Type: constants names and index
    //-----------------------------------------------------------------------
    public final static String      WEEKLY_REPORT_TYPE_STRING                   = "WeeklyReportType";
    public final static int         WEEKLY_REPORT_TYPE_INDEX                    = 201;
    public final static String      BIWEEKLY_REPORT_TYPE_STRING                 = "BiWeeklyReportType";
    public final static int         BIWEEKLY_REPORT_TYPE_INDEX                  = 202;
    public final static String      MONTHLY_REPORT_TYPE_STRING                  = "MonthlyReportType";
    public final static int         MONTHLY_REPORT_TYPE_INDEX                   = 203;
    public final static String      QUARTERLY_REPORT_TYPE_STRING                = "QuarterlyReportType";
    public final static int         QUARTERLY_REPORT_TYPE_INDEX                 = 204;
    public final static String      SEMIANNUAL_REPORT_TYPE_STRING               = "SemiAnnualReportType";
    public final static int         SEMIANNUAL_REPORT_TYPE_INDEX                = 205;
    public final static String      ANNUAL_REPORT_TYPE_STRING                   = "AnnualReportType";
    public final static int         ANNUAL_REPORT_TYPE_INDEX                    = 206;
    //=======================================================================
    public final static String      JANYARY_NAME_STRING                         = "Jan";
    public final static int         JANUARY_NAME_INDEX                          = 0;
    public final static String      FEBRUARY_NAME_STRING                        = "Feb";
    public final static int         FEBRUARY_NAME_INDEX                         = 1;
    public final static String      MARCH_NAME_STRING                           = "Mar";
    public final static int         MARCH_NAME_INDEX                            = 2;
    public final static String      APRIL_NAME_STRING                           = "Apr";
    public final static int         APRIL_NAME_INDEX                            = 3;
    public final static String      MAY_NAME_STRING                             = "May";
    public final static int         MAY_NAME_INDEX                              = 4;
    public final static String      JUNE_NAME_STRING                            = "Jun";
    public final static int         JUNE_NAME_INDEX                             = 5;
    public final static String      JULY_NAME_STRING                            = "Jul";
    public final static int         JULY_NAME_INDEX                             = 6;
    public final static String      AUGUAT_NAME_STRING                          = "Aug";
    public final static int         AUGUST_NAME_INDEX                           = 7;
    public final static String      SEPTEMBER_NAME_STRING                       = "Sep";
    public final static int         SEPTEMBER_NAME_INDEX                        = 8;
    public final static String      OCTOBER_NAME_STRING                         = "Oct";
    public final static int         OCTOBER_NAME_INDEX                          = 9;
    public final static String      NOVEMBER_NAME_STRING                        = "Nov";
    public final static int         NOVEMBER_NAME_INDEX                         = 10;
    public final static String      DECEMBER_NAME_STRING                        = "Dec";
    public final static int         DECEMBER_NAME_INDEX                         = 11;
    public final static int         NUMBER_OF_MONTH_INDEX                       = 12;
    public final static int         NUMBER_OF_QUARTERS_INDEX                    = 4;
}
