/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package db_adapter;

/**
 *
 * @author sameldin
 */
import java.io.*;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Hashtable;
import java.util.MissingResourceException;
import java.util.ResourceBundle;
import java.util.Calendar;
import java.util.Date;
import java.text.SimpleDateFormat;
import constants.*;
import utils.*;
import bcbca_dataobjects.*;
import bcbca_dataobjects.HoursEnteredUnitDataObject;


public class EmployeeRecordAdapter
{
    Connection  localConnection = null;

    public EmployeeRecordAdapter()
    {
        BD_Connector localBD_Connector = new BD_Connector();
        localConnection = localBD_Connector.getConnection();
    }
    /*
     *
     */
     public <HoursEnteredUnitDataObject> ArrayList  select(String passedTableName_1)
     {
        if(null == localConnection)
            return(null);
	PreparedStatement   localPreparedStatement	= null;
	ResultSet           localResultSet 		= null;
//	ArrayList <HoursEnteredUnitDataObject> localHoursEnteredUnitDataObjectArrayList = null;
	ArrayList  localHoursEnteredUnitDataObjectArrayList = null;
	//==========================
	try
	{
        	String qryString 	= "";
                String tableName_1        = DatabaseKeysPropertyManager.getParameter(passedTableName_1);
		//==========================
		qryString  =  "SELECT "
                            + " TC_0002.TS_LINE.UDT09_ID as RC_Code,"
                            + " CONVERT(varchar(3), DATEPART(MONTH, HRS_DT)) AS MONTH_ORDER,TC_0002.TS.EMPL_ID EMPL_ID,"
                            + " TC_0002.TS_LINE.UDT01_ID as charge_code,"
                            + " sum(TC_0002.TS_CELL.ENTERED_HRS) as ENTER_HOURS"
                            + " from TC_0002.TS"
                            + " INNER JOIN TC_0002.TS_CELL"
                            + " ON     TC_0002.TS.EMPL_ID = TC_0002.TS_CELL.EMPL_ID"
                            + " AND TC_0002.TS.PERIOD_NO_CD = TC_0002.TS_CELL.PERIOD_NO_CD"
                            + " AND TC_0002.TS.YEAR_NO_CD = TC_0002.TS_CELL.YEAR_NO_CD"
                            + " INNER JOIN TC_0002.TS_LINE"
                            + " ON     TC_0002.TS_CELL.EMPL_ID = TC_0002.TS_LINE.EMPL_ID"
                            + " AND TC_0002.TS_CELL.YEAR_NO_CD = TC_0002.TS_LINE.YEAR_NO_CD"
                            + " AND TC_0002.TS_CELL.PERIOD_NO_CD = TC_0002.TS_LINE.PERIOD_NO_CD"
                            + " AND TC_0002.TS_CELL.LINE_NO = TC_0002.TS_LINE.LINE_NO"
                            + " where convert(int, convert(varchar, TC_0002.TS_CELL.HRS_DT , 112)) >20130101"
                            + " and TC_0002.TS_LINE.UDT10_ID in ('OTE','OTN')"
                            + " group by CONVERT(varchar(3), DATEPART(MONTH, HRS_DT)),TC_0002.TS.EMPL_ID,"
                            + " TC_0002.TS_LINE.UDT09_ID,TC_0002.TS_LINE.UDT01_ID";

		localPreparedStatement = localConnection.prepareStatement(qryString);
		localResultSet = localPreparedStatement.executeQuery();
//		localHoursEnteredUnitDataObjectArrayList = new <HoursEnteredUnitDataObject> ArrayList();
		localHoursEnteredUnitDataObjectArrayList = new ArrayList();
                bcbca_dataobjects.HoursEnteredUnitDataObject localHoursEnteredUnitDataObject = null;
		//===========================================
		while(localResultSet.next())
		{
                    localHoursEnteredUnitDataObject = new bcbca_dataobjects.HoursEnteredUnitDataObject();

                    localHoursEnteredUnitDataObject.setRc_Code(localResultSet.getInt("RC_Code"));
                    localHoursEnteredUnitDataObject.setEmployeeName(localResultSet.getString("EmployeeName????"));  // need emploee name
                    localHoursEnteredUnitDataObject.setEmployee_ID(localResultSet.getString("EMPL_ID"));
                    localHoursEnteredUnitDataObject.setMonthOrder(localResultSet.getInt("MONTH_ORDER"));
                    localHoursEnteredUnitDataObject.setMonthlyHoursEntered(localResultSet.getDouble("ENTER_HOURS"));
                    localHoursEnteredUnitDataObject.setCharge_code(localResultSet.getInt("charge_code"));
                    localHoursEnteredUnitDataObject.setRecordDate(localResultSet.getDate("DATEPART"));
                    Date tempdate = localHoursEnteredUnitDataObject.getRecordDate();
                    if(tempdate != null)
                    {
                        double tempDoubel = tempdate.getTime(); 
                        localHoursEnteredUnitDataObject.setDateToLongValue(tempDoubel);
                    }

                    localHoursEnteredUnitDataObjectArrayList.add(localHoursEnteredUnitDataObject);
                }
                localPreparedStatement.close();
        }
	catch(MissingResourceException eMissingResourceException)
	{
            eMissingResourceException.printStackTrace();
            return(null);
	}
	catch(SQLException eSQLException)
	{
            eSQLException.printStackTrace();
            return(null);
	}
        return(localHoursEnteredUnitDataObjectArrayList);
     }
    
}
