/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package db_adapter;

/**
 *
 * @author sameldin
 */
import java.io.*;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.Hashtable;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

//import org.apache.log4j.Logger;
//import org.apache.log4j.PropertyConfigurator;

import utils.*;
import constants.*;

public class BD_Connector
{
    String      urlString;
    Connection  localConnection = null;

    public BD_Connector()
    {
        String defaultDatabaseName = DatabaseKeysPropertyManager.getParameter(Constants.DEFAULT_DATABASE_NAME_LABEL);
	urlString = Constants.JDBC_CONNECTION_LABEL + defaultDatabaseName;
        try
        {
          Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        }
        catch(ClassNotFoundException myClassNotFoundException)
        {
            myClassNotFoundException.printStackTrace();
        }
        try
        {
            localConnection = DriverManager.getConnection(urlString);
        }
        catch(SQLException mySQLException)
        {
            mySQLException.printStackTrace();
        }
    }
    /*
     *
     */
    public BD_Connector(String dbName)
    {
        String defaultDatabaseName = DatabaseKeysPropertyManager.getParameter(dbName);
	urlString = Constants.JDBC_CONNECTION_LABEL + defaultDatabaseName;
        try
        {
          Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        }
        catch(ClassNotFoundException myClassNotFoundException)
        {
            myClassNotFoundException.printStackTrace();
        }
        try
        {
            localConnection = DriverManager.getConnection(urlString);
        }
        catch(SQLException mySQLException)
        {
            mySQLException.printStackTrace();
        }
    }
    /*
     *
     */
    public BD_Connector(String dbName, String loginName, String password)
    {
        String defaultDatabaseName = DatabaseKeysPropertyManager.getParameter(dbName);
	urlString = Constants.JDBC_CONNECTION_LABEL + defaultDatabaseName;
        try
        {
          Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
        }
        catch(ClassNotFoundException myClassNotFoundException)
        {
            myClassNotFoundException.printStackTrace();
        }
        try
        {
            localConnection = DriverManager.getConnection(urlString,
                                    DatabaseKeysPropertyManager.getParameter( "userid" ),
                                    DatabaseKeysPropertyManager.getParameter( "password" ));
        }
        catch(SQLException mySQLException)
        {
            mySQLException.printStackTrace();
        }
    }
    /*
     *
     */
    public BD_Connector(String dbName, int bdIndex)
    {
        String defaultDatabaseName = DatabaseKeysPropertyManager.getParameter(dbName);
	urlString = Constants.JDBC_CONNECTION_LABEL + defaultDatabaseName;
        try
        {
            switch(bdIndex)
            {
                case Constants.IBM_DB_INDEX:
                    //DriverManager.registerDriver(new com.ibm.as400.access.AS400JDBCDriver());
                    //connectionHandle = DriverManager.getConnection("jdbc:as400://TBL1/;naming=sql","ELDIN","ELDIN");
                    Class.forName("com.ibm.as400.access.AS400JDBCDriver");
                    break;
                case Constants.ORARCLE_DB_INDEX:
                    Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
                    break;
                case Constants.MS_DB_INDEX:
                    Class.forName("ms??????.jdbc.odbc.JdbcOdbcDriver");
                    break;
                default:
                    Class.forName("sun.jdbc.odbc.JdbcOdbcDriver");
            }
        }
        catch(ClassNotFoundException myClassNotFoundException)
        {
            myClassNotFoundException.printStackTrace();
        }
        try
        {
            localConnection = DriverManager.getConnection(urlString);
        }
        catch(SQLException mySQLException)
        {
            mySQLException.printStackTrace();
        }
    }
    /*
     *
     */
    synchronized public Connection getConnection()
    {
        return(localConnection);
    }
    /*
     *
     */
    synchronized public void disconnect()
    {
        try
        {
            localConnection.close();
            localConnection = null;
        }
	catch(SQLException mySQLException)
	{
            mySQLException.printStackTrace();
	}
    }
    /*
     *
     */
    synchronized Connection getConnection(String dbName, String userName, String password, String dataSourceName)
    {
	// dataSourceName = "";
	Connection localConnection = null;
	try
	{
		Class.forName("com.inet.tds.TdsDriver");
		DriverManager.setLoginTimeout(20);
		localConnection = DriverManager.getConnection("jdbc:inetdae7:DBSERVER", userName, password);
		localConnection.setCatalog(dataSourceName);
	}
	catch(SQLException mySQLException)
	{
		mySQLException.printStackTrace();
	}
        catch(ClassNotFoundException myClassNotFoundException)
        {
            myClassNotFoundException.printStackTrace();
        }
	return(localConnection);
    }
    /*
     *
     */
    void closeConenction(Connection passedConnection)
    {
	try
	{
		if (passedConnection != null)
		{
			passedConnection.close();
			passedConnection =	null;
		}
	}
	catch(SQLException mySQLException)
	{
		mySQLException.printStackTrace();
	}
    }
}
